> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dataspike.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List alerts for an address check

> Returns alerts triggered for the specified address check. Supports filtering by date range.



## OpenAPI

````yaml https://api.dataspike.io/openapi/kyt/public.json get /api/v4/kyt/checks/address/{id}/alerts
openapi: 3.1.0
info:
  description: >-
    Know Your Transaction (KYT) — blockchain address, transaction and transfer
    risk analysis.
  title: Dataspike KYT API
  version: '4.0'
servers: []
security: []
paths:
  /api/v4/kyt/checks/address/{id}/alerts:
    get:
      tags:
        - Address Checks
      summary: List alerts for an address check
      description: >-
        Returns alerts triggered for the specified address check. Supports
        filtering by date range.
      operationId: GET_/api/v4/kyt/checks/address/:id/alerts
      parameters:
        - description: Check identifier.
          in: path
          name: id
          required: true
          schema:
            type: string
        - description: Maximum number of alerts to return (1-1000, default 100).
          in: query
          name: limit
          schema:
            default: 100
            nullable: true
            type: integer
        - description: Lower bound for alert date, inclusive (RFC 3339).
          examples:
            example:
              value: '2024-01-01T00:00:00Z'
          in: query
          name: datetime_from
          schema:
            nullable: true
            type: string
        - description: Upper bound for alert date, inclusive (RFC 3339).
          examples:
            example:
              value: '2024-12-31T23:59:59Z'
          in: query
          name: datetime_to
          schema:
            nullable: true
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: aaeddf5c-1841-4b40-adbf-a135e34f983e
            application/xml:
              schema:
                $ref: aaeddf5c-1841-4b40-adbf-a135e34f983e
          description: OK
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PlainMessage'
            application/xml:
              schema:
                $ref: '#/components/schemas/PlainMessage'
          description: Check not found.
        default:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AlertListResponse'
            application/xml:
              schema:
                $ref: '#/components/schemas/AlertListResponse'
          description: Address check alerts.
      security:
        - ApiKey: []
components:
  schemas:
    PlainMessage:
      description: PlainMessage schema
      properties:
        message:
          type: string
      type: object
    AlertListResponse:
      description: AlertListResponse schema
      properties:
        data:
          items:
            nullable: true
            properties:
              address:
                example: '0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045'
                pattern: >-
                  ^(0x[0-9a-fA-F]{40}|T[1-9A-HJ-NP-Za-km-z]{33}|[13][a-km-zA-HJ-NP-Z1-9]{25,34}|bc1[02-9ac-hj-np-z]{7,76}|BC1[02-9AC-HJ-NP-Z]{7,76})$
                type: string
              balance:
                example: '0.150'
                nullable: true
                type: string
              blockchain:
                enum:
                  - btc
                  - eth
                  - trx
                example: eth
                type: string
              date:
                format: date-time
                type: string
              risk_grade:
                enum:
                  - high
                  - moderate
                  - low
                  - undefined
                example: high
                nullable: true
                type: string
              risk_profile:
                example: Standard
                type: string
              status:
                example: true
                type: boolean
              token:
                enum:
                  - ''
                  - USDC
                  - USDT
                type: string
              triggered_by:
                items:
                  properties:
                    total:
                      example: '150.00'
                      type: string
                    total_count:
                      example: '3'
                      type: string
                    total_count_coef:
                      example: '0.01'
                      type: string
                    type:
                      example: SANCTIONS
                      nullable: true
                      type: string
                    type_label:
                      example: Sanctions
                      type: string
                  type: object
                type: array
            type: object
          type: array
      type: object
  securitySchemes:
    ApiKey:
      description: API token passed in the request header.
      in: header
      name: ds-api-token
      type: apiKey

````